# Cone Search

Cone search of catalogues provided by Virtual Observatory.

## Command

    munipack cone [.. options ..] [--] RA DEC
    munipack cone [--list-catalogues | --list-servers]

## Description

Search a selected catalogue provided by Virtual observatory interface (VO-capable cone search) with following features:

- List of available catalogues is prepared.
- List of available servers is prepared.
- All parameters are in degrees.
- Output is stored to VOTable format (XML), FITS table or a plain text or any format supported by votable.

## Southern declinations

Southern object coordinates starts with minus sign which can be recognised, by the parsing routine, as an option or a switch. To prevent the confusion, we must separate options and parameters by double-dash [--]. Than recognition of the coordinates will work as expected.

A typical message when the problem is occurred:

    $ munipack cone 245.9 -26.5
    Unknown option '26'
    Usage: munipack cone ...

And can be easy solved as

    $ munipack cone -- 245.9 -26.5

## Catalogue Servers

Central Virtual Observatory catalogue site (VizieR) is maintained by Centre de Données astronomiques de Strasbourg and provided as a VizieR service. The service is mirrored by other sites. The option `--service` offers possibility to select an appropriate mirror.

## Network Timeout

Sometimes connection can not be established on first attempt or a network connection is down, in this case, the connection will be repeated for a while.

## Input And Output

On input, no files are expected. Virtual Observatory is connected via network.

On output, results of the cone search are saved to a file.

## Magnitudes in Johnson BVRI system

One can found usefull a conversion of UCAC4 magnitudes to Johnson BVRI photometry system. `cone` utility with `--Johnson-patch` has included the transformation derived by Lupton (2005).

## Selection Constrains

Some servers supports additional parameters for search, output form and etc. For instance, there is a way how to limit magnitudes in V filter for stars brighter than eleven:

    munipack cone --par 'Vmag=<11' -- 245.9 -26.5

The magnitude interval, as well as another quantity, is set by double dots:

    munipack cone --par 'Vmag=11..12' -- 245.9 -26.5

Additional info can be found in VizieR utilitiy vizquery and constrain syntax documentation.

## Parameters

`-c,--cat`
  catalogue alias (see --list-catalogues)
`-r`
  search radius in degrees (default: 0.1)
`--magmin`
  low magnitude limit for the search
`--magmax`
  high magnitude limit for the search
`--Johnson-patch`
  convert Gunn's ri magnitudes to Johnson RI (UCAC4 only)
`-s, --sort`
  sort by the column
`--url`
  use the URL. Following options are ignored: -c, --cat, --par, -r, --server
`--id`
  Full catalogue identifier like I/666
`--par`
  additional optional parameters (by default maximum verbosity is used)
`--type`
  A file type of the output file: fits,xml (default by suffix of `-o` option). votable provides conversion to other types.
`--vocat`
  an alternative configuration file (normally, located in `[/opt]/usr/share/munipack/VOcat_conf.xml`)
`--server`
  use VizieR's mirror
`--list-catalogues`
  list of predefined catalogues
`--list-servers`
  list of available VizieR servers
`--`
  Double-dash separates options and switches from coordinates, it is necessary for negative coordinates (parser can be confused by minus sign normally introducting of a switch).

See Common options for input/output filenames.

Magnitude limits by `--magmin, --magmax` adjusts magnitudes in the sort column.

## Using Another Catalogue

The list of available catalogues is limited. Some catalogue can be added by this way:

- Go to VizieR service and discover your catalogue. We will need ID of the catalogue like "J/A+A/544/A31" (Ptolemaios catalogue).
- Invoke the cone as

      $ munipack cone --id 'J/A+A/544/A31' -r 1 -- 104 -16

- To use the data, apropriate parameters `--col-ra, --col-dec, --col-pm-ra, --col-pm-dec` for `astrometry, phcal,` etc must be specified.

## Examples

Does cone search of a default catalogue (UCAC4) pointed on Trifid nebula (α = 270.675°, δ = -22.972°):

    $ munipack cone -- 270.675  -22.972

Do cone search of a default catalogue (UCAC4) pointed on globular cluster M13 with star magnitude limitation for a small telescope

    $ munipack cone --magmin 10 --magmax 15 -- 250.423 36.461

Search GSC catalogue within Pleiades (α = 92.4°, δ = 24.1°) with cone radius of 0.2°:

    $ munipack cone -c GSC -r 0.2 92.4 24.1

Cone search for negative coordinates needs separate parameters and options with double-dash:

    $ munipack cone -c UCAC5 -r 0.2 -- 245.9 -26.5

## See Also

Virtual Observatory, Sesame name resolver, Common options, vizquery documentation.